> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/optimization-packs/kubernetes-pack/kubernetes-pod.md).

# Kubernetes Pod

This page describes the Optimization Pack for the Kubernetes Pod component type.

## Metrics

| Name                      | Unit       | Description                                                              |
| ------------------------- | ---------- | ------------------------------------------------------------------------ |
| k8s\_pod\_cpu\_used       | millicores | The CPUs used by all containers of the pod                               |
| k8s\_pod\_memory\_used    | bytes      | The total amount of memory used as sum of all containers in a pod        |
| k8s\_pod\_cpu\_request    | millicores | The CPUs requested for the pod as sum of all container cpu requests      |
| k8s\_pod\_cpu\_limit      | millicores | The CPUs allowed for the pod as sum of all container cpu limits          |
| k8s\_pod\_memory\_request | bytes      | The memory requested for the pod as sum of all container memory requests |
| k8s\_pod\_memory\_limit   | bytes      | The memory limit for the pod as sum of all container memory limits       |
| k8s\_pod\_restarts        | events     | The number of container restarts in a pod                                |

## Parameters

There are no parameters for the Kubernetes Pod component type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/reference/optimization-packs/kubernetes-pack/kubernetes-pod.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
